package com.dcsoft.system.kq.service;


import com.dcsoft.system.kq.domain.KqGroupUser;

import java.util.List;

/**
 * 考勤组人员Service接口
 *
 * @author dcsoft
 * @date 2023-01-11
 */
public interface IKqGroupUserService
{
    /**
     * 查询考勤组人员
     *
     * @param groupId 考勤组人员主键
     * @return 考勤组人员
     */
    public KqGroupUser selectKqGroupUserByGroupId(Long groupId);

    /**
     * 查询考勤组人员列表
     *
     * @param kqGroupUser 考勤组人员
     * @return 考勤组人员集合
     */
    public List<KqGroupUser> selectKqGroupUserList(KqGroupUser kqGroupUser);

    /**
     * 新增考勤组人员
     *
     * @param kqGroupUser 考勤组人员
     * @return 结果
     */
    public int insertKqGroupUser(KqGroupUser kqGroupUser);

    /**
     * 修改考勤组人员
     *
     * @param kqGroupUser 考勤组人员
     * @return 结果
     */
    public int updateKqGroupUser(KqGroupUser kqGroupUser);

    /**
     * 批量删除考勤组人员
     *
     * @param groupIds 需要删除的考勤组人员主键集合
     * @return 结果
     */
    public int deleteKqGroupUserByGroupIds(Long[] groupIds);

    /**
     * 删除考勤组人员信息
     *
     * @param groupId 考勤组人员主键
     * @return 结果
     */
    public int deleteKqGroupUserByGroupId(Long groupId);

    public int deleteKqGroupUserByUserId(Long userId);
}
